Bug 841490 - BUG numa_policy (Not tainted): Poison overwritten
BUG numa_policy (Not tainted): Poison overwritten
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 03:13 EDT by Jan Stancek
Modified: 2013-05-20 04:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: kernel-3.5.0-0.23.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 04:20:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stancek 2012-07-19 03:13:27 EDT
Description of problem:
Trinity syscall fuzzer hit following bug messages, which are sometimes followed by panic.

Run 1:
[ 2679.677235] ============================================================================= 
[ 2679.685406] BUG numa_policy (Not tainted): Poison overwritten 
[ 2679.691149] ----------------------------------------------------------------------------- 
[ 2679.691150]  
[ 2679.700804] INFO: 0xffff880223c9fc20-0xffff880223c9fc20. First byte 0x6a instead of 0x6b 
[ 2679.708894] INFO: Allocated in __mpol_dup+0x29/0x1e0 age=1136482 cpu=3 pid=30805 
[ 2679.716283] 	__slab_alloc+0x450/0x4fd 
[ 2679.719948] 	kmem_cache_alloc+0x215/0x240 
[ 2679.723960] 	__mpol_dup+0x29/0x1e0 
[ 2679.727360] 	__split_vma+0xd4/0x260 
[ 2679.730850] 	split_vma+0x20/0x30 
[ 2679.734085] 	sys_madvise+0x6c0/0x720 
[ 2679.737666] 	system_call_fastpath+0x16/0x1b 
[ 2679.741848] INFO: Freed in __mpol_put+0x27/0x30 age=1130341 cpu=3 pid=30805 
[ 2679.748804] 	__slab_free+0x3d/0x266 
[ 2679.752287] 	kmem_cache_free+0x21c/0x230 
[ 2679.756206] 	__mpol_put+0x27/0x30 
[ 2679.759520] 	remove_vma+0x6d/0xa0 
[ 2679.762835] 	exit_mmap+0xf0/0x150 
[ 2679.766153] 	mmput+0x8b/0x110 
[ 2679.769122] 	exit_mm+0x108/0x130 
[ 2679.772350] 	do_exit+0x16c/0xa60 
[ 2679.775575] 	do_group_exit+0x4c/0xc0 
[ 2679.779146] 	sys_exit_group+0x17/0x20 
[ 2679.782801] 	system_call_fastpath+0x16/0x1b 
[ 2679.786978] INFO: Slab 0xffffea00088f2700 objects=27 used=27 fp=0x          (null) flags=0x20000000004080 
[ 2679.796525] INFO: Object 0xffff880223c9fc20 @offset=15392 fp=0xffff880223c9f780 
[ 2679.796526]  
[ 2679.805313] Bytes b4 ffff880223c9fc10: 72 26 23 00 01 00 00 00 5a 5a 5a 5a 5a 5a 5a 5a  r&#.....ZZZZZZZZ 
[ 2679.814783] Object ffff880223c9fc20: 6a 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  jkkkkkkkkkkkkkkk 
[ 2679.824076] Object ffff880223c9fc30: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.833371] Object ffff880223c9fc40: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.842663] Object ffff880223c9fc50: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.851949] Object ffff880223c9fc60: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.861246] Object ffff880223c9fc70: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.870535] Object ffff880223c9fc80: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.879822] Object ffff880223c9fc90: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.889111] Object ffff880223c9fca0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.898397] Object ffff880223c9fcb0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.907689] Object ffff880223c9fcc0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.916975] Object ffff880223c9fcd0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.926264] Object ffff880223c9fce0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.935553] Object ffff880223c9fcf0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.944840] Object ffff880223c9fd00: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.954125] Object ffff880223c9fd10: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[ 2679.963412] Object ffff880223c9fd20: 6b 6b 6b 6b 6b 6b 6b a5                          kkkkkkk. 
[ 2679.972006] Redzone ffff880223c9fd28: bb bb bb bb bb bb bb bb                          ........ 
[ 2679.980684] Padding ffff880223c9fe68: 5a 5a 5a 5a 5a 5a 5a 5a                          ZZZZZZZZ 
[ 2679.989368] Pid: 14648, comm: trinity-child5 Not tainted 3.3.0-0.21.el7.x86_64 #1 
[ 2679.996841] Call Trace: 
[ 2679.999288]  [<ffffffff811a1d3d>] ? print_section+0x3d/0x40 
[ 2680.004855]  [<ffffffff811a28ce>] print_trailer+0xfe/0x160 
[ 2680.010330]  [<ffffffff811a2a62>] check_bytes_and_report+0xe2/0x120 
[ 2680.016584]  [<ffffffff811a306f>] check_object+0x1cf/0x250 
[ 2680.022060]  [<ffffffff8119a4c9>] ? __mpol_dup+0x29/0x1e0 
[ 2680.027447]  [<ffffffff81658fd4>] alloc_debug_processing+0x67/0x109 
[ 2680.033702]  [<ffffffff816596c2>] __slab_alloc+0x450/0x4fd 
[ 2680.039177]  [<ffffffff81180ba9>] ? __split_vma+0x79/0x260 
[ 2680.044649]  [<ffffffff81180ba9>] ? __split_vma+0x79/0x260 
[ 2680.050125]  [<ffffffff8119a4c9>] ? __mpol_dup+0x29/0x1e0 
[ 2680.055519]  [<ffffffff8119a4c9>] ? __mpol_dup+0x29/0x1e0 
[ 2680.060904]  [<ffffffff811a5065>] kmem_cache_alloc+0x215/0x240 
[ 2680.066725]  [<ffffffff8119a4c9>] __mpol_dup+0x29/0x1e0 
[ 2680.071940]  [<ffffffff81180430>] ? __vma_link_rb+0x30/0x40 
[ 2680.077506]  [<ffffffff811809a4>] ? vma_adjust+0x484/0x610 
[ 2680.082981]  [<ffffffff81180ba9>] ? __split_vma+0x79/0x260 
[ 2680.088454]  [<ffffffff811a5065>] ? kmem_cache_alloc+0x215/0x240 
[ 2680.094449]  [<ffffffff81180c04>] __split_vma+0xd4/0x260 
[ 2680.099752]  [<ffffffff811814c3>] do_munmap+0x333/0x3d0 
[ 2680.104969]  [<ffffffff811846f6>] move_vma+0x166/0x270 
[ 2680.110107]  [<ffffffff811849b6>] do_mremap+0x1b6/0x560 
[ 2680.115326]  [<ffffffff8166071a>] ? down_write+0x9a/0xb0 
[ 2680.120631]  [<ffffffff81184dad>] ? sys_mremap+0x4d/0xa0 
[ 2680.125932]  [<ffffffff81184dc2>] sys_mremap+0x62/0xa0 
[ 2680.131061]  [<ffffffff8166bf29>] system_call_fastpath+0x16/0x1b 
[ 2680.137055] FIX numa_policy: Restoring 0xffff880223c9fc20-0xffff880223c9fc20=0x6b 
[ 2680.137056]  
[ 2680.146022] FIX numa_policy: Marking all objects used 

Run 2:
[  440.029700] process `trinity-child7' is using deprecated sysctl (syscall) net.ipv6.neigh.em25.retrans_time; Use net.ipv6.neigh.em25.retrans_time_ms instead. 
[  442.860401] ============================================================================= 
[  442.869528] BUG numa_policy (Not tainted): Poison overwritten 
[  442.875934] ----------------------------------------------------------------------------- 
[  442.875936]  
[  442.886713] INFO: 0xffff880642588000-0xffff880642588000. First byte 0x6a instead of 0x6b 
[  442.895745] INFO: Allocated in mpol_new+0x9a/0x140 age=19259 cpu=1 pid=350 
[  442.903416] 	__slab_alloc+0x450/0x4fd 
[  442.907503] 	kmem_cache_alloc+0x215/0x240 
[  442.911974] 	mpol_new+0x9a/0x140 
[  442.915572] 	sys_mbind+0x15e/0x650 
[  442.919366] 	system_call_fastpath+0x16/0x1b 
[  442.924033] INFO: Freed in __mpol_put+0x27/0x30 age=15530 cpu=0 pid=424 
[  442.931412] 	__slab_free+0x3d/0x266 
[  442.935301] 	kmem_cache_free+0x21c/0x230 
[  442.939674] 	__mpol_put+0x27/0x30 
[  442.943369] 	mpol_set_shared_policy+0x166/0x270 
[  442.948422] 	shmem_set_policy+0x2a/0x30 
[  442.952699] 	shm_set_policy+0x28/0x30 
[  442.956782] 	sys_mbind+0x523/0x650 
[  442.960574] 	system_call_fastpath+0x16/0x1b 
[  442.965237] INFO: Slab 0xffffea0019096200 objects=27 used=27 fp=0x          (null) flags=0x60000000004080 
[  442.975910] INFO: Object 0xffff880642588000 @offset=0 fp=0xffff88064258b780 
[  442.975911]  
[  442.985336] Object ffff880642588000: 6a 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  jkkkkkkkkkkkkkkk 
[  442.985339] Object ffff880642588010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985342] Object ffff880642588020: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985345] Object ffff880642588030: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985348] Object ffff880642588040: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985351] Object ffff880642588050: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985354] Object ffff880642588060: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985357] Object ffff880642588070: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985360] Object ffff880642588080: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985363] Object ffff880642588090: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985366] Object ffff8806425880a0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985369] Object ffff8806425880b0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985372] Object ffff8806425880c0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985375] Object ffff8806425880d0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985379] Object ffff8806425880e0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985383] Object ffff8806425880f0: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b  kkkkkkkkkkkkkkkk 
[  442.985387] Object ffff880642588100: 6b 6b 6b 6b 6b 6b 6b a5                          kkkkkkk. 
[  442.985392] Redzone ffff880642588108: bb bb bb bb bb bb bb bb                          ........ 
[  442.985396] Padding ffff880642588248: 5a 5a 5a 5a 5a 5a 5a 5a                          ZZZZZZZZ 
[  442.985403] Pid: 1009, comm: trinity-child21 Not tainted 3.3.0-0.21.el7.x86_64 #1 
[  442.985406] Call Trace: 
[  442.985412]  [<ffffffff811a1d3d>] ? print_section+0x3d/0x40 
[  442.985418]  [<ffffffff811a28ce>] print_trailer+0xfe/0x160 
[  442.985423]  [<ffffffff811a2a62>] check_bytes_and_report+0xe2/0x120 
[  442.985427]  [<ffffffff811a306f>] check_object+0x1cf/0x250 
[  442.985433]  [<ffffffff811973fa>] ? mpol_new+0x9a/0x140 
[  442.985438]  [<ffffffff81658fd4>] alloc_debug_processing+0x67/0x109 
[  442.985444]  [<ffffffff816596c2>] __slab_alloc+0x450/0x4fd 
[  442.985449]  [<ffffffff811973fa>] ? mpol_new+0x9a/0x140 
[  442.985455]  [<ffffffff810ca99d>] ? trace_hardirqs_off+0xd/0x10 
[  442.985460]  [<ffffffff811973fa>] ? mpol_new+0x9a/0x140 
[  442.985465]  [<ffffffff811a5065>] kmem_cache_alloc+0x215/0x240 
[  442.985469]  [<ffffffff811973fa>] mpol_new+0x9a/0x140 
[  442.985474]  [<ffffffff8119a8ee>] sys_mbind+0x15e/0x650 
[  442.985480]  [<ffffffff81092f10>] ? __hrtimer_start_range_ns+0x160/0x5e0 
[  442.985485]  [<ffffffff8166bf29>] system_call_fastpath+0x16/0x1b 
[  442.985489] FIX numa_policy: Restoring 0xffff880642588000-0xffff880642588000=0x6b 
[  442.985491]  
[  442.985493] FIX numa_policy: Marking all objects used 

[ 1320.118804] ------------[ cut here ]------------ 
[ 1320.124175] kernel BUG at mm/mempolicy.c:2523! 
[ 1320.129140] invalid opcode: 0000 [#1] SMP  
[ 1320.133799] CPU 0  
[ 1320.135900] Modules linked in: fuse ipt_ULOG tun ip_queue scsi_transport_iscsi binfmt_misc nfnetlink ip6_queue bnep hidp af_802154 bluetooth rfkill pppoe pppox ppp_generic slhc rds af_key atm ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter lockd ip6_tables iptable_nat nf_nat iptable_mangle ipt_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack iptable_filter ip_tables snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer snd soundcore microcode i7core_edac iTCO_wdt shpchp i2c_i801 edac_core ioatdma iTCO_vendor_support pcspkr sr_mod sd_mod cdrom crc_t10dif ata_generic pata_acpi firewire_ohci ata_piix firewire_core libata crc_itu_t igb dca nouveau mxm_wmi wmi video drm_kms_helper ttm drm i2c_core sunrpc dm_mirror dm_region_hash dm_log dm_mod [last unloaded: scsi_wait_scan] 
[ 1320.229450]  
[ 1320.231115] Pid: 4291, comm: trinity-child0 Not tainted 3.3.0-0.21.el7.x86_64 #1 Intel Corporation S5520SC/S5520SC 
[ 1320.242811] RIP: 0010:[<ffffffff8119bac6>]  [<ffffffff8119bac6>] mpol_to_str+0x156/0x360 
[ 1320.251932] RSP: 0018:ffff880632a2fba8  EFLAGS: 00010202 
[ 1320.257897] RAX: 0000000000006b6b RBX: ffff8803307c4000 RCX: 0000000000000000 
[ 1320.265897] RDX: ffff88035ec9f9d0 RSI: 0000000000000032 RDI: ffff880632a2fcbe 
[ 1320.273897] RBP: ffff880632a2fc58 R08: 0000000000000001 R09: 0000000000000000 
[ 1320.281866] R10: ffff88063d394d20 R11: 000000000000000f R12: ffff880632a2fcbe 
[ 1320.289867] R13: 0000000000000032 R14: 0000000000006b6b R15: ffff880346b59600 
[ 1320.297866] FS:  00007f7ee9441740(0000) GS:ffff880362600000(0000) knlGS:0000000000000000 
[ 1320.306931] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033 
[ 1320.313346] CR2: 0000000000000001 CR3: 000000065b664000 CR4: 00000000000006f0 
[ 1320.321318] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000 
[ 1320.329319] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400 
[ 1320.337316] Process trinity-child0 (pid: 4291, threadinfo ffff880632a2e000, task ffff88063d394d20) 
[ 1320.347349] Stack: 
[ 1320.349626]  0000000000000000 ffff880343f5ab80 ffff8806578e4200 ffff880343f5ab80 
[ 1320.358172]  ffff880632a2fbe8 ffffffff816632eb ffff880343f5ab78 ffff88035ec9f9d0 
[ 1320.366516]  ffff880632a2fc18 ffffffff8119af3e 00007f7ee944bfff 0000000000000000 
[ 1320.374825] Call Trace: 
[ 1320.377560]  [<ffffffff816632eb>] ? _raw_spin_unlock+0x2b/0x50 
[ 1320.384070]  [<ffffffff8119af3e>] ? mpol_shared_policy_lookup+0x5e/0x80 
[ 1320.391453]  [<ffffffff8116b4b0>] ? shmem_get_policy+0x30/0x40 
[ 1320.397964]  [<ffffffff8122609f>] show_numa_map+0xcf/0x410 
[ 1320.404086]  [<ffffffff812263e0>] ? show_numa_map+0x410/0x410 
[ 1320.410498]  [<ffffffff81225940>] ? gather_stats+0x90/0x90 
[ 1320.416621]  [<ffffffff81225aa4>] ? m_start+0xc4/0x180 
[ 1320.422355]  [<ffffffff811e31ed>] ? seq_read+0x3d/0x3d0 
[ 1320.428185]  [<ffffffff811e2ce2>] traverse+0xf2/0x230 
[ 1320.433821]  [<ffffffff811e3535>] seq_read+0x385/0x3d0 
[ 1320.439546]  [<ffffffff811e31b0>] ? seq_lseek+0x120/0x120 
[ 1320.445577]  [<ffffffff811bddba>] do_loop_readv_writev+0x5a/0x90 
[ 1320.452285]  [<ffffffff811be0f9>] do_readv_writev+0x1c9/0x1f0 
[ 1320.458764]  [<ffffffff81092f10>] ? __hrtimer_start_range_ns+0x160/0x5e0 
[ 1320.466347]  [<ffffffff810d0dad>] ? trace_hardirqs_on+0xd/0x10 
[ 1320.472893]  [<ffffffff81663220>] ? _raw_spin_unlock_irq+0x30/0x50 
[ 1320.479794]  [<ffffffff811be1b5>] vfs_readv+0x35/0x60 
[ 1320.485533]  [<ffffffff811be422>] sys_preadv+0xc2/0xe0 
[ 1320.491276]  [<ffffffff8166bf29>] system_call_fastpath+0x16/0x1b 
[ 1320.498028] Code: 19 00 48 98 48 01 c3 89 d8 44 29 e0 48 8b 5d d8 4c 8b 65 e0 4c 8b 6d e8 4c 8b 75 f0 4c 8b 7d f8 c9 c3 0f 1f 00 66 83 f8 03 76 0a <0f> 0b 0f 1f 84 00 00 00 00 00 85 c9 0f 84 08 01 00 00 48 8b 8a  
[ 1320.520720] RIP  [<ffffffff8119bac6>] mpol_to_str+0x156/0x360 
[ 1320.527348]  RSP <ffff880632a2fba8> 
[ 1320.535830] ---[ end trace 02b6b42135ef2a70 ]--- 
[ 1320.542571] Kernel panic - not syncing: Fatal exception 
[ 1320.551716] panic occurred, switching back to text console 


Version-Release number of selected component (if applicable):
3.3.0-0.21.el7.x86_64

How reproducible:
~20%

Steps to Reproduce:
1. run trinity syscall fuzzer (/kernel/syscalls/trinity/rhel7)
2. upstream discussion suggests it's easy to trigger by fuzzing only mbind:
   ./trinity -q -c mbind

Actual results:
BUG messages, panic

Expected results:
no BUG messages, no panic

Additional info:

* 3.4-rc7: kernel BUG at mm/mempolicy.c:1564!
  3.4-rc7 numa_policy slab poison.
  https://lkml.org/lkml/2012/5/18/399
  05f144a0d5c2207a0349348127f996e104ad7404

Note You need to log in before you can comment on or make changes to this bug.